Bug 738952 - GNOME Control Center doesn't fill out all required proxy settings in GSettings
Summary: GNOME Control Center doesn't fill out all required proxy settings in GSettings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 735336
TreeView+ depends on / blocked
 
Reported: 2011-09-16 06:14 UTC by Andrew John Hughes
Modified: 2012-08-08 10:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:48:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 659215 None None None Never

Description Andrew John Hughes 2011-09-16 06:14:55 UTC
Description of problem:

In working on https://bugzilla.redhat.com/show_bug.cgi?id=735336, I discovered that the GNOME control center proxy settings do not allow a number of important settings to be changed from their default values.  Although it's understandable that the new UI may not yet allow more advanced options like authentication and ignored hosts to be set, the lack of being able to enable the http proxy or turn off 'use-same-proxy' make the created settings largely unusable in the majority of cases.

The schema used by GSettings has defaults for these values:

(from /usr/share/glib-2.0/schemas/org.gnome.system.proxy.gschema.xml)

    <key type="b" name="use-same-proxy">
      <default>true</default>
      <summary>Use same proxy for all protocols</summary>
      <description>Whether to use the same proxy for all protocols or not.</description>
    </key>

    <key type="b" name="enabled">
      <default>false</default>
      <summary>Use HTTP proxy</summary>
      <description>Enables the proxy settings when accessing HTTP over the Internet.</description>
    </key>

So by default the HTTP proxy is disabled and the same proxy is used for all protocols.  In the Java code at least, the existing assumption is that the HTTP proxy is used as the template if use-same-proxy is enabled.  As that proxy is disabled, we end up with no proxy being configured, regardless of the fact that the user may have entered a number of proxies for HTTP, HTTPS, FTP and SOCKS in the dialog.

The dialog should have an option to toggle 'use-same-proxy'.  For the HTTP proxy, either it should be able to enabled or the control center should just enable it if the user sets a value for its host and port.


Version-Release number of selected component (if applicable):

3.0.2

Comment 1 Andrew John Hughes 2011-09-16 06:21:47 UTC
Add GNOME bug.

Comment 2 Fedora End Of Life 2012-08-07 15:48:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Reinout van Schouwen 2012-08-07 20:08:05 UTC
(In reply to comment #1)
> Add GNOME bug.

Upstream bug is still in unconfirmed state...

Comment 4 Andrew John Hughes 2012-08-08 10:46:53 UTC
I'll try and retest on an F17 box.


Note You need to log in before you can comment on or make changes to this bug.